<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('editorsettings');

if (isset($_POST['button'])) {
	$id = $_POST['id'];
} else {
	$id = $_GET['id'];
}

include('../data/settings/editor.inc.php');
if (array_key_exists($id, $wymeditor_editorclasses)) {
	$wym_editorclass = $wymeditor_editorclasses[$id];
} else {
	$error_doesnotexist = true;
}

if (isset($_POST['button'])) {
	unset($wymeditor_editorclasses[$id]);
	$writethis = '<?php
	$wymeditor_editorclasses = '.var_export($wymeditor_editorclasses, true).';
	?>';
	file_put_contents('../data/settings/editor.inc.php', $writethis);
	header('Location: editorsettings.php?deleted='.urlencode($wym_editorclass['title']).'&'.SID.csrf_protection_get());
	die();
}

include('escape.inc.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="updatesettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_updatesettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_editorsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<h2><?php locale('title_edit-class') ?></h2>

		<?php
		if (isset($error_doesnotexist)) {
			echo '<p class="error">';
			locale('error_notfound');
			echo ' <a href="editorsettings.php?'.SID.csrf_protection_get_html_ret().'">'.locale('link_back',true).'</a>';
			echo '</p>';
		} else {
		?>

		<p>
			<?php printf(locale('desc_delclass',true), htmlspecialchars($wym_editorclass['title'])) ?>
			<form action="deleditorclass.php?<?php echo SID; csrf_protection_get_html() ?>" method="post">
				<input type="hidden" name="id" value="<?php echo $id ?>" />
				<input type="submit" name="button" value="<?php locale('button_yes') ?>">
				<a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('button_no') ?></a>
			</form>
		</p>

		<?php
		}
		?>

	</body>
</html>
