<?php
/*  cms-db  Copyright (C) 2007-2011 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('editorsettings');
?>
<?php
include('../data/settings/editor.inc.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="updatesettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_updatesettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="editorsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_editorsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<h2><?php locale('title') ?></h2>

		<h3><?php locale('title_classes') ?></h3>

		<p class="linklist_action">
			<a href="editeditorclass.php?id=new&<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><img src="icons-action/create-file.png" style="vertical-align:middle" alt="" height="16" width="16" /> <?php locale('link_newclass') ?></a>
		</p>

		<?php
		if (count($wymeditor_editorclasses) != 0) {
			echo '<ul class="linklist">';
			foreach ($wymeditor_editorclasses as $id => $wym_editorclass) {
				$class = (!isset($class) or $class == 'normal') ? 'alt' : 'normal';
				echo '<li class="'.$class.'">';
				echo '<span class="list_name">'.$wym_editorclass['title'].'</span>';
				echo '<span class="list_info">';
				echo $wym_editorclass['class']['expr'].'.'.$wym_editorclass['class']['name'].' &bull; ';
				echo '<a href="editeditorclass.php?id='.$id.'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_edit',true).'</a> &bull; ';
				echo '<a href="deleditorclass.php?id='.$id.'&'.SID.csrf_protection_get_html_ret().'">'.locale('link_delete',true).'</a>';
				echo '</span>';
				echo '</li>';
			}
			echo '</ul>';
		} else {
			echo '<p class="box">'.locale('desc_no-classes',true).'</p>';
		}
		?>

	</body>
</html>
